FreeMat

- Main Page
- Related Pages

vtkBoxMuellerRandomSequence

Section: Visualization Toolkit Common Classes

# Usage

vtkGaussianRandomSequence is a sequence of pseudo random numbers distributed according to the Gaussian/normal distribution (mean=0 and standard deviation=1).

It based is calculation from a uniformly distributed pseudo random sequence. The initial sequence is a vtkMinimalStandardRandomSequence.

To create an instance of class vtkBoxMuellerRandomSequence, simply invoke its constructor as follows

      obj = vtkBoxMuellerRandomSequence

# Methods

The class vtkBoxMuellerRandomSequence has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkBoxMuellerRandomSequence class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkBoxMuellerRandomSequence = obj.NewInstance ()`
- `vtkBoxMuellerRandomSequence = obj.SafeDownCast (vtkObject o)`
- `double = obj.GetValue ()` - Current value.
- `obj.Next ()` - Move to the next number in the random sequence.
- `vtkRandomSequence = obj.GetUniformSequence ()` - Return the uniformly distributed sequence of random numbers.
- `obj.SetUniformSequence (vtkRandomSequence uniformSequence)` - Set the uniformly distributed sequence of random numbers. Default is a .